import { ColorCategories, ColorTokens } from './enums';
/** Enum of possible HTML states */
export declare enum ThemeMapperStates {
    normal = "normal",
    hover = "hover",
    active = "active",
    selected = "selected",
    disabled = "disabled",
    visited = "visited",
    focus = "focus"
}
/** Enum of possible CSS properties */
export declare enum ThemeMapperStyles {
    color = "color",
    background = "background",
    borderColor = "border-color"
}
export declare type ThemeMapperValue = {
    /** Color category to be used in the current property */
    category: ColorCategories;
    /** Color token to be used in the current style */
    token: ColorTokens;
    /** Inverse theme, if dark is selected, light color will be used */
    inverse: boolean;
};
export declare type ThemeMapperStyle = {
    [key in ThemeMapperStyles]?: ThemeMapperValue;
};
export declare type ThemeMapper = {
    [key in ThemeMapperStates]?: ThemeMapperStyle;
};
//# sourceMappingURL=theme-mapper.d.ts.map